GETDTABLESIZE(3) | Library Functions Manual | GETDTABLESIZE(3)

# NAME

`getdtablesize` —
get descriptor table size

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <unistd.h>`

int
`getdtablesize`(void);

# DESCRIPTION

The `getdtablesize` function is an equivalent of `sysconf`() with `_SC_OPEN_MAX`.

# SEE ALSO

close(2), dup(2), getrlimit(2), open(2), select(2), sysconf(3)

# HISTORY

The `getdtablesize`() function call appeared in 4.2BSD.

Historically, each process had a fixed size descriptor table, which is guaranteed to have at least 20 slots. The entries in the descriptor table are numbered with small integers starting at 0. The call `getdtablesize`() used to return the size of this table. It doesn't make much sense these days because the size of the table is dynamic.

January 5, 2012 | NetBSD 9.0